Subject: RE: bug#13041: 24.2; diacritic-fold-search

From: "Drew Adams" <[email-masked]>
Date: Sat, 8 Dec 2012 16:14:28 -0800

> > i.e. "suf" doesn't match "su?er", only "suff" should match it.
> 
> I completely disagree here.  "suf" should match "su?er".

The Unicode Regexp spec says that it is best, if possible, to let users do
either.  It discusses such different search possibilities explicitly.

We might not be able to support that superior level (level 2) for Emacs search,
but the point is that each kind of matching can be useful here.

At this stage of the discussion it should not, I think, be a case of "I
completely disagree" (or completely agree), unless you have already decided
something wrt design/implementation etc.  Better to look at the possibilities
for users and then discuss what it might take to be able to support this or that
kind of search matching.